org.codehaus.plexus.configuration.xml

## Class XmlPlexusConfiguration

- java.lang.Object
- - org.codehaus.plexus.configuration.DefaultPlexusConfiguration
  - - org.codehaus.plexus.configuration.xml.XmlPlexusConfiguration

All Implemented Interfaces:
  PlexusConfiguration

    public class XmlPlexusConfiguration
    extends DefaultPlexusConfiguration

Version:
  $Id: XmlPlexusConfiguration.java 8345 2009-08-20 16:36:28Z bentmann $

### Constructor Summary

Constructors
Constructor and Description
`XmlPlexusConfiguration()`
`XmlPlexusConfiguration(java.lang.String name)`
`XmlPlexusConfiguration(java.lang.String name, java.lang.String value)`
`XmlPlexusConfiguration(org.codehaus.plexus.util.xml.Xpp3Dom dom)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class org.codehaus.plexus.configuration.DefaultPlexusConfiguration

`addChild, addChild, addChild, getAttribute, getAttribute, getAttributeNames, getChild, getChild, getChild, getChildCount, getChildren, getChildren, getName, getValue, getValue, setAttribute, setName, setValue, setValueAndGetSelf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlPlexusConfiguration

    public XmlPlexusConfiguration()

#### XmlPlexusConfiguration

    public XmlPlexusConfiguration(java.lang.String name)

#### XmlPlexusConfiguration

    public XmlPlexusConfiguration(java.lang.String name,
                          java.lang.String value)

#### XmlPlexusConfiguration

    public XmlPlexusConfiguration(org.codehaus.plexus.util.xml.Xpp3Dom dom)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`